varying vec2 coord_shadow;

varying vec3 shimmer;

varying vec3 normal, lightDir, halfVector;
varying vec4 pos;

void main()
{
        gl_TexCoord[0] = gl_MultiTexCoord0;

        normal = normalize(gl_NormalMatrix * gl_Normal);
        lightDir = normalize(vec3(gl_LightSource[0].position));

        halfVector = normalize(gl_LightSource[0].halfVector.xyz);

        pos = gl_Vertex;
        gl_Position = ftransform();

        vec4 eyepos = gl_ModelViewMatrix * gl_Vertex;
        coord_shadow[0] = dot(gl_EyePlaneS[1], eyepos);
        coord_shadow[1] = dot(gl_EyePlaneT[1], eyepos);

        shimmer = normal;
}
